setwallpaper(1)

NAME
setwallpaper - set the desktop wallpaper

SYNOPSIS
setwallpaper [options] [path or URL to JPEG or PNG image]

DESCRIPTION
setwallpaper sets the desktop wallpaper to the specified image file. It supports both local file paths and URLs to remote images. The tool automatically detects the current desktop environment or window manager and uses the appropriate method to set the wallpaper.

OPTIONS

-v or --verbose
    Enable verbose output showing detailed information about the operation.

-m or --mode
    Set wallpaper mode: stretch, center, tile, scale, plus modes specific to the currently running desktop environment or window manager. Default is "stretch".

-d or --download
    Specify download directory for images fetched from URLs. If not specified, the system's default download directory is used.

-V or --version
    Show the current version.

VERSION
5.14.3

AUTHOR
setwallpaper was written by Alexander F. Rødseth <xyproto@archlinux.org>